Package Details: protonvpn 1.0.0-2

Git Clone URL: https://aur.archlinux.org/protonvpn.git (read-only, click to copy)
Package Base: protonvpn
Description: Official ProtonVPN metapackage that installs protonvpn-gui and protonvpn-cli, maintained by the ProtonVPN team.
Upstream URL: https://github.com/ProtonVPN/
Licenses: GPL3
Submitter: protontechag
Maintainer: protontechag (calexandru2018, jllaneras)
Last Packager: calexandru2018
Votes: 42
Popularity: 3.55
First Submitted: 2021-05-28 17:12 (UTC)
Last Updated: 2021-08-10 16:33 (UTC)

Required by (0)

Sources (0)

Latest Comments

thpsbkas commented on 2022-07-26 08:49 (UTC)

Why pacman failes to install missing dependencies on my pc ?

==> Installing missing dependencies... error: target not found: protonvpn-cli error: target not found: protonvpn-gui ==> ERROR: 'pacman' failed to install missing dependencies. ==> Missing dependencies: -> protonvpn-cli -> protonvpn-gui ==> Checking buildtime dependencies... ==> ERROR: Could not resolve all dependencies.

protontechag commented on 2022-06-08 18:32 (UTC)

@JohnDVD ensure that network manager is running and that either gnome keyring or kwallet are installed and running

JohnDVD commented on 2022-06-08 18:10 (UTC)

Just installed protonvpn , but cannot login properly. Are there dependencies missing? Tried it with a new manjaro system, it's working there.

B28302 commented on 2022-06-02 04:32 (UTC) (edited on 2022-06-02 06:08 (UTC) by B28302)

I get this error when trying to run protonvpn:

dashboard.py — ERROR —__on_startup:175 — Unterminated string starting at: line 1 column 196601 (char 196600)
SOLUTION

Logging out and logging back in resolved the issue.

alexjorgef commented on 2022-05-20 16:30 (UTC) (edited on 2022-05-20 16:34 (UTC) by alexjorgef)

@iTrooz, I'm having the same issue. Change your DNS to "1.1.1.1,1.0.0.1" and try again.

:: PGP keys need importing:
 -> A884 41BD 4864 F95B EE08 E63A 71EB 4740 1994 0E11, required by: python-proton-client  python-protonvpn-nm-lib  protonvpn-cli
==> Import? [Y/n] 
:: Importing keys with gpg...
gpg: key 71EB474019940E11: public key "Proton Technologies AG <opensource@proton.me>" imported

iTrooz commented on 2022-05-04 07:25 (UTC)

Am I the only who to get this error on install ?

:: (1/4) Parsing SRCINFO: python-protonvpn-nm-lib
:: (2/4) Parsing SRCINFO: protonvpn-cli
:: (3/4) Parsing SRCINFO: protonvpn-gui
:: (4/4) Parsing SRCINFO: protonvpn

:: PGP keys need importing:
 -> A884 41BD 4864 F95B EE08 E63A 71EB 4740 1994 0E11, required by: python-protonvpn-nm-lib  protonvpn-cli  protonvpn-gui  protonvpn
==> Import? [Y/n] 
:: Importing keys with gpg...
gpg: keyserver receive failed: Server indicated a failure
 -> problem importing keys

apxdono commented on 2022-03-10 15:02 (UTC) (edited on 2022-03-10 15:02 (UTC) by apxdono)

Works well with python 3.10.2. GUI app may fail to detect network and I was able to fix this with openvpn-protonvpn, replacing all files (requires restart of app).

edarblanco commented on 2022-02-16 03:12 (UTC)

@TechVio only rebuild packages python-protonvpn-nm-lib and python-proton-client with python 3.10 or rebuild protonvpn with python 3.9 and done, all work

poisson-aerohead commented on 2022-02-06 20:11 (UTC)

@smsteward @santilococo, thank you for pointing me to this. When I first reached out to Proton tech support they advised me to install either gnome-keyring or kwallet and NetworkManager, which I did. These requirements, as well as nm-applet, need to be listed somewhere. It should never be the case that you have met all requirements, but you do not meet all requirements. I'll let you know if I get it running.

TechVio commented on 2022-01-29 19:52 (UTC)

I get this error when running ProtonVPN:


Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.7.0', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/protonvpn_gui/main.py", line 14, in <module>
    from proton.constants import VERSION as proton_version
ModuleNotFoundError: No module named 'proton.constants'

annaoo commented on 2022-01-28 09:57 (UTC) (edited on 2022-01-28 09:58 (UTC) by annaoo)

incase like me you were unable to install the many dependencies this pacakge requires: you can download openvpn profiles from your protonvpn account and use those directly with openvpn instead. I think many people might not know this.

smsteward commented on 2022-01-25 14:27 (UTC)

@santilococo yep, that did the trick! I had actually filed a support ticket with ProtonVPN and they responded this morning with the exact same suggestion! I wish nm-applet was listed as a dependency, but I guess that it's unnecessary for full desktop environments. Wish they'd consider the window-manager only case, but the issue is fixed. Thanks a lot!

santilococo commented on 2022-01-24 20:21 (UTC) (edited on 2022-01-24 20:24 (UTC) by santilococo)

@smsteward @poisson-aerohead If protonvpn is stuck at 'Connecting to...' you need to install nm-applet. See https://github.com/ProtonVPN/linux-cli/issues/49 for more information.

alexdw commented on 2022-01-22 14:20 (UTC)

@Dwa30v Thanks for pointing me to the GitHub thread - this comment from @Delan168 fixed it for me: https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-1008947353 i.e. running "pamac build $(pacman -Qoq /usr/lib/python3.9)" (or equivalent like "yay -S $(pacman -Qoq /usr/lib/python3.9)" with cleanbuild) after (re-)installing.

smsteward commented on 2022-01-17 01:07 (UTC)

@poisson-aerohead I believe I'm in the same boat as you. I recently switched from KDE to a tiling window manager only setup, and now ProtonVPN won't work for me. It worked flawlessly on KDE, but now I can't get past the "Connecting to ProtonVPN on {server name}" screen using either the CLI or GUI. I have all the dependencies satisfied (I installed gnome-keyring individually to meet the requirement, since it's listed on the Proton website), and I can see that the passwords are correctly being saved in gnome-keyring, but it won't connect at all. I'm not sure what invisible dependency of a full desktop environment it might be missing, but it's annoying, and you're right that it should only require the dependencies explicitly listed.

poisson-aerohead commented on 2022-01-13 07:53 (UTC)

I took a look at ProtonVPN about a month and a half ago because I saw the message in my Proton Mail for the end of year deal on the upgraded VPN. I put the app on my phone with no problems, but installation onto my laptop has never connected to a server. As some have commented here, I can log in, but any attempt to connect to a server hangs on the progress bar. Needless to say, I have not paid for anything past the free version yet.

I reached out to Proton support. They are polite enough but not very helpful. I don't think they are too used to answering questions "the Arch way". They keep telling me that the app needs a full desktop environment to run, but unless the dependency list is wrong the app just needs what's on the dependency list. If anyone else has taken time and wants to compare notes, I actually spent some time tracing the python source code this past weekend.

I have identified that upon attempting to connect, the program is hanging at the line dbus_loop.run() in the connect() method of the NetworkManagerClient class in the file protonvpn_nm_lib/core/connection_backend/nm_client/nm_client.py. It never returns from this function call, even after I disconnect and close out of the app. This call is using the GLib.MainLoop() thing, which is hard to look into because the python files use dynamic loading and the whole GLib thing is pretty abstruse. I think the hang has to do with the fact that while the proton connection shows up in the NetworkManagerUnitWrapper.get_all_connections() method, it does not show up as active in the NetworkManagerUnitWrapper.get_all_active_connections(). I am not sure why and I am stuck there right now.

I see I'm not the only one having problems but any advice would help.

Dwa30v commented on 2022-01-11 16:54 (UTC)

Hi! No matter what I tried (suggested by @fryorcraken, @gerbradl, https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954, or https://www.reddit.com/r/ProtonVPN/comments/rknt1s/protonvpn_not_working_on_arch_linux/), I could not fix this issue. ProtonVPN is no longer working on my Manjaro system.

Example:

$ sudo yay -Rs protonvpn
$ trash-put ~/.cache/protonvpn
$ pamac install protonvpn

Result:

$ protonvpn
Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.7.0', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/protonvpn_gui/main.py", line 14, in <module>
    from proton.constants import VERSION as proton_version
ModuleNotFoundError: No module named 'proton'

jvfaegje commented on 2022-01-06 20:26 (UTC)

Hello all. It would seem that the solution @fryorcraken has posted has solved my issue. Removing the cache has removed some setting that was blocking the application running. I am now able to activate the protonvpn in all the expected ways. Thankyou so much for posting your solution.

gerbradl commented on 2022-01-06 15:35 (UTC)

The following method resolved issue of protonvpn-gui launching yet unable to form a vpn connection (gear just sits there spinning)

yay -Rcs protonvpn

Select [A]ll

sudo pip3 install protonvpn-cli

Make sure to run as root

sudo protonvpn connect 

fryorcraken commented on 2022-01-06 01:56 (UTC)

I fixed my issue by following https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954

yay -Rs protonvpn
rm -rf ~/.cache/protonvpn

And then reinstalling protonvpn using pamac (Manjaro user here).

sneezydwarf commented on 2022-01-06 01:18 (UTC)

Unable to build AUR package

python-proton-client checksum doesn't match

Building python-proton-client...
==> Making package: python-proton-client 0.7.1-1 (Wed 05 Jan 2022 04:49:25 PM EST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found 0.7.1.tar.gz
==> Validating source files with sha256sums...
    0.7.1.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build python-proton-client

fryorcraken commented on 2022-01-05 22:27 (UTC)

I am able to build but I get the following error when running it:

▶ protonvpn 
Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.7.0', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/protonvpn_gui/main.py", line 14, in <module>
    from proton.constants import VERSION as proton_version
ModuleNotFoundError: No module named 'proton'

jvfaegje commented on 2022-01-04 00:57 (UTC)

Journey log no. 2: I have uninstalled protonvpn-gui via pip. I still cannot run protonvpn via the activities menu. Nor will it start up from the Gnome Tweaks startup setup. So, my most interested and perplexed followers, I attempted to start protonvpn from the command line and, voila, it starts. This is clearly progress, but not an ideal solution. Perhaps this output in the command line activation of protonvpn may give some intrepid journeyer the clue they need:

/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/connection_backend/nm_client/nm_client_mixin.py:11: Warning: g_main_context_push_thread_default: assertion 'acquired_context' failed
  nm_client = NM.Client.new(None)
/usr/lib/python3.10/site-packages/protonvpn_nm_lib/core/connection_backend/nm_client/nm_client_mixin.py:11: Warning: g_main_context_pop_thread_default: assertion 'g_queue_peek_head (stack) == context' failed
  nm_client = NM.Client.new(None)

I wish you all luck in your adventures. If any of you kind sentinels are able to envisage some steps to take for a solution, please do let me and, indeed, everyone else know.

jvfaegje commented on 2022-01-03 04:38 (UTC)

Hello weary travellers. Coming in to report. I have tried the solutions posted by:


@shuriken:

pacman -Qoq /usr/lib/python3.9 | paru -S - --rebuild twice and pacman -Qoq /usr/lib/python3.9 to verify

@zeroconf:

yay -S $(pacman -Qoq /usr/lib/python3.9) --answerclean All and/or yay --cleanmenu --rebuild -Syu protonvpn

and @niva:

reinstall


I am still stuck with the same error message in running protonvpn:

Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.7.0', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 25, in importlib_load_entry_point
    return next(matches).load()
StopIteration

Doth anyone have any suggestions as to this error and how to solve the conundrum of starting the protonvpn application?

niva commented on 2021-12-27 16:13 (UTC)

Simply uninstall and reinstall protonvpn seems to solve all issue. See https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954https://github.com/ProtonVPN/linux-cli/issues/57#issuecomment-994694954

DWestCoast commented on 2021-12-26 06:58 (UTC)

Still a lot of errors:

File "/usr/lib/python3.10/site-packages/protonvpn_gui/main.py", line 14, in <module>
    from proton.constants import VERSION as proton_version
ModuleNotFoundError: No module named 'proton.constants'

raisedintheusa commented on 2021-12-18 14:05 (UTC)

It's still being buggy where sometimes it connects as usual, sometimes it stalls when trying to connect, one time reconnector.py was not terminated upon disconnection leading to the inability to connect, so still buggy after python upgrade.

zeroconf commented on 2021-12-15 01:13 (UTC) (edited on 2021-12-15 01:17 (UTC) by zeroconf)

Please see this comment at protonvpn-cli. You need to explicitly update protonvpn-cli only and then other packages, including rest of protonvpn ones, as usual. It is not normal, but at least worked. Let's hope, that Proton Software AG will fix this in near future. It is worth to write also ProtonVPN customer support about that.

DrewBC commented on 2021-12-14 20:07 (UTC)

Doesn't work or me. After running shuriken's command, at the end of the process I get this;

==> Leaving fakeroot environment. ==> Finished making: python-proton-client 0.7.1-1 (Tue 14 Dec 2021 12:05:18 PM) ==> Cleaning up... [sudo] password for drew: loading packages... resolving dependencies... looking for conflicting packages... :: python-proton-client and python-protonvpn-nm-lib are in conflict. Remove python-protonvpn-nm-lib? [y/N] error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: python-proton-client and python-protonvpn-nm-lib are in conflict (python-protonvpn-nm-lib<3.4.0) loading packages... resolving dependencies... looking for conflicting packages... :: python-proton-client and python-protonvpn-nm-lib are in conflict. Remove python-protonvpn-nm-lib? [y/N] error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: python-proton-client and python-protonvpn-nm-lib are in conflict (python-protonvpn-nm-lib<3.4.0) error: packages failed to build: abiword-git-1:3.1.0.20711.857cd86de-1 python-protonvpn-nm-lib-3.7.0-1 [drew@archlabs-drew ~]$

ivanoff commented on 2021-12-13 21:39 (UTC)

Thanks shuriken, this works fine!

shuriken commented on 2021-12-13 18:55 (UTC)

For Paru users run this command twice -

pacman -Qoq /usr/lib/python3.9 | paru -S - --rebuild

This will force rebuild of the python packages and will fix all the issues. The reason we run it twice is to update the dependency packages as well.

to verify that there is no package left run -

pacman -Qoq /usr/lib/python3.9

It should say no target specified if all the packages have been rebuilt with python 3.10.

zeroconf commented on 2021-12-13 18:08 (UTC) (edited on 2021-12-13 18:08 (UTC) by zeroconf)

https://forum.endeavouros.com/t/brief-psa-python-3-10-just-released/21219 this helped:

yay -S $(pacman -Qoq /usr/lib/python3.9) --answerclean All

Also this might help to rebuild again, if previous does not help:

yay --cleanmenu --rebuild -Syu protonvpn

Now I can use ProtonVPN GUI again.

zeroconf commented on 2021-12-13 13:29 (UTC) (edited on 2021-12-13 15:05 (UTC) by zeroconf)

Tried to run ProtonVPN GUI:

$ protonvpn
Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.7.0', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 919, in distribution
    return Distribution.from_name(distribution_name)
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 518, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for protonvpn-gui

Tried to reinstall:

yay --cleanmenu --rebuild -Syu protonvpn

...still same errors.

poisson-aerohead commented on 2021-12-12 00:43 (UTC) (edited on 2021-12-12 01:13 (UTC) by poisson-aerohead)

Hi, I installed gnome-keyring for this package at the recommendation of Proton support. I still cannot get it to connect. The logs show errors like the below. Does anyone have advice as to how to get it working with gnome keyring? I started the keyring daemon as according to the Arch wiki.

2021-12-11 20:56:35,954 — linuxkeyring.py — INFO — __getitem__:15 — Get key ProtonUser
2021-12-11 20:56:35,957 — linuxkeyring.py — INFO — __delitem__:52 — Delete key SessionData
2021-12-11 20:56:35,961 — linuxkeyring.py — ERROR — __delitem__:67 — KeyringDataNotFound: No such password!
Traceback (most recent call last):
  File "/usr/lib/python3.9/site packages/protonvpn_nm_lib/core/session/session.py", line 246, in __keyring_load_session
    keyring_data_user = ExecutionEnvironment().keyring[
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 37, in __getitem__
    raise KeyError(key)
KeyError: 'ProtonUser'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 58, in __delitem__
    self.__keyring_backend.delete_password(self.__keyring_service, key)
  File "/usr/lib/python3.9/site-packages/keyring/backends/SecretService.py", line 104, in delete_password
    raise PasswordDeleteError("No such password!")
keyring.errors.PasswordDeleteError: No such password!
2021-12-11 20:56:35,962 — linuxkeyring.py — INFO — __delitem__:52 — Delete key ProtonUser
2021-12-11 20:56:35,966 — linuxkeyring.py — ERROR — __delitem__:67 — KeyringDataNotFound: No such password!
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 246, in __keyring_load_session
   keyring_data_user = ExecutionEnvironment().keyring[
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 37, in __getitem__
    raise KeyError(key)
KeyError: 'ProtonUser'

Schooner commented on 2021-11-26 01:48 (UTC) (edited on 2021-11-26 02:26 (UTC) by Schooner)

Edit: It finally worked, writing the solution down. Install network-manager-applet and enable nm-applet and restart the session. If you're on swaywm like me, make sure to start nm-applet with the --indicator option. Cheers!

Does not connect, just keeps on trying. Starting from the terminal, this is what I get:

/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/connection_backend/nm_client/nm_client_mixin.py:11: Warning: g_main_context_push_thread_default: assertion 'acquired_context' failed nm_client = NM.Client.new(None)

/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/connection_backend/nm_client/nm_client_mixin.py:11: Warning: g_main_context_pop_thread_default: assertion 'g_queue_peek_head (stack) == context' failed nm_client = NM.Client.new(None)

DWestCoast commented on 2021-11-22 18:08 (UTC) (edited on 2021-11-22 18:08 (UTC) by DWestCoast)

What it want from me?

Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.5.2', 'console_scripts', 'protonvpn')())
  File "/usr/bin/protonvpn", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/main.py", line 16, in <module>
    from protonvpn_nm_lib.api import protonvpn
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/api.py", line 6, in <module>
    from .core.report import BugReport
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/report/__init__.py", line 1, in <module>
    from .bug import BugReport
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/report/bug.py", line 7, in <module>
    from ..subprocess_wrapper import subprocess
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/subprocess_wrapper.py", line 123, in <module>
    subprocess = SubprocessWrapper() # noqa
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/subprocess_wrapper.py", line 34, in __init__
    self.__ensure_executables_exist()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/subprocess_wrapper.py", line 81, in __ensure_executables_exist
    raise RuntimeError(
RuntimeError: Couldn't find acceptable executables for {'systemctl', 'clear', 'xdg-open', 'nmcli'}

hadespar commented on 2021-11-07 17:58 (UTC)

Anyone else is getting this error ? webkit2gtk is installed.

Traceback (most recent call last):
  File "/home/hadespar/miniconda3/bin/protonvpn", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-gui==1.5.2', 'console_scripts', 'protonvpn')())
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/pkg_resources/__init__.py", line 474, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2846, in load_entry_point
    return ep.load()
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2450, in load
    return self.resolve()
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2456, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/protonvpn_gui/main.py", line 23, in <module>
    from .view.dashboard import DashboardView
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/protonvpn_gui/view/dashboard.py", line 29, in <module>
    from .dialog import DisplayMessageDialog
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/protonvpn_gui/view/dialog.py", line 6, in <module>
    gi.require_version("WebKit2", "4.0")
  File "/home/hadespar/miniconda3/lib/python3.7/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace WebKit2 not available

vanillabase1lb commented on 2021-10-05 07:02 (UTC)

For those who are unable to connect via GUI and see empty screen with close button or get unknown error on CLI, try doing pip install jinja2. This fixed my problem

rustyr commented on 2021-09-24 17:50 (UTC)

Following up on my previous comment. The issue was on my end. I had a local python installation of an older version of proton-client (v0.5.1), which was being used over the up-to-date, system-wide install provided by this AUR package (v0.6.1). Removing the local version resolved the issue.

rustyr commented on 2021-09-24 00:05 (UTC)

Anyone else running into this issue after the update to 1.0.0-2?

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/main.py", line 250, in do_activate
    if not protonvpn.check_session_exists():
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/api.py", line 321, in check_session_exists
    return self._env.api_session.is_valid
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/environment.py", line 54, in api_session
    self.__api_session = APISession()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 189, in __init__
    self.__session_create()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 209, in __session_create
    self.__proton_api = Session(
TypeError: __init__() got an unexpected keyword argument 'log_dir_path'

niva commented on 2021-09-06 13:08 (UTC)

Wasted many hours trying to get this to work. Finally figured out that nm-applet must be running in order for it to work. This also needs to run for protonvpn-cli!

chester-tan commented on 2021-06-02 09:45 (UTC)

Secure core doesn't seem to work. Without it it seems to work fine though. Thanks for packaging this :)

moonaru commented on 2021-05-31 19:28 (UTC)

Thank you for preparing the package, but there is a keyring error in the package. To fix this, the asc gpg key file needs to be downloaded and imported from the protonvpn site. https://repo.protonvpn.com/debian/public_key.asc then after doing "gpg --import public_key.asc" the installation completes without any problem.